package cookery_db;


/**
 * Standard provider for handling database backups.
 * @author Nick Apperley
 */
public interface DBBackup
{
    /**
     * Gets the name of the backup.
     * @return The backup name.
     */
    public String getBackupName();

    /**
     * Gets the name of the database.
     * @return The database name.
     */
    public String getDatabaseName();

    /**
     * Gets the location of the database.
     * @return The location of the database as a path.
     */
    public String getDatabaseAddress();

    /**
     * Gets the location of the backup.
     * @return The location of the backup as a path.
     */
    public String getBackupLocation();

    public void backup();
}
